# REST API

- [Authentication](https://docs.ativo.io/rest-api/authentication.md): Connect to the REST API
- [Version](https://docs.ativo.io/rest-api/version.md): Ativo REST API endpoints and models are versioned
- [Cloud REST API Rate Limiting](https://docs.ativo.io/rest-api/cloud-rest-api-rate-limiting.md): Ativo Programs uses rate limiting on its Cloud REST API to ensure service availability and responsiveness among clients.
- [Cloud REST API](https://docs.ativo.io/rest-api/cloud-rest-api.md): Browse the available end points for the Ativo cloud API.
- [Data Center REST API](https://docs.ativo.io/rest-api/data-center-rest-api.md): Browse the available end points for the Ativo cloud API.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.ativo.io/rest-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
